Package fr.gouv.vitam.common.performance

# Class PerformanceLogger

java.lang.Object
fr.gouv.vitam.common.performance.PerformanceLogger

public class PerformanceLogger extends Object
simple logger to use same logger with same format for all performance time. To enable it, add on logback.xml file

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PerformanceLogger`
  `getInstance()`
  `void`
  `log(String step, long time)`
  log performance information with step.
  `void`
  `log(String step, String action, long time)`
  log performance information with step and action.
  `void`
  `log(String step, String action, String task, long time)`
  log performance information with step, action and task.
  `void`
  `log(String step, String action, String task, long size, long time)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### log

    public void log(String step, String action, String task, long time)
    log performance information with step, action and task.
    Parameters:
      `step` - name of the step
      `action` - name of the action
      `task` - optional, use to log a treatment or a part of treatment
      `time` - duration of the treatment

  - ### log

    public void log(String step, String action, String task, long size, long time)
    Parameters:
      `step` -
      `action` -
      `task` -
      `size` - of object
      `time` -

  - ### log

    public void log(String step, String action, long time)
    log performance information with step and action.
    Parameters:
      `step` - name of the step
      `action` - name of the action
      `time` - duration of the treatment

  - ### log

    public void log(String step, long time)
    log performance information with step.
    Parameters:
      `step` - name of the step
      `time` - duration of the treatment

  - ### getInstance

    public static PerformanceLogger getInstance()
    Returns:
      single instance on `PerformanceLogger`